# Interface ICellEditorValidator

public interface ICellEditorValidator
An interface for validating a cell editor's input.

This interface should be implemented by classes that wish to act as cell editor validators.

## Method Summary

Modifier and Type
Method
Description
`String`
`isValid(Object value)`
Returns a string indicating whether the given value is valid; `null` means valid, and non-`null` means invalid, with the result being the error message to display to the end user.

## Method Details

### isValid

String isValid(Object value)
Returns a string indicating whether the given value is valid; `null` means valid, and non-`null` means invalid, with the result being the error message to display to the end user.

It is the responsibility of the implementor to fully format the message before returning it.

Parameters:
  `value` - the value to be validated
Returns:
  the error message, or `null` indicating that the value is valid